Bug 344131 - No login window after upgrading to kernel 2.6.23-1.fc7.i686
No login window after upgrading to kernel 2.6.23-1.fc7.i686
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-20 19:07 EDT by Patrick Horgan
Modified: 2009-07-14 13:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:27:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My existing xorg.conf (2.89 KB, text/plain)
2007-10-23 21:33 EDT, Patrick Horgan
no flags Details
Xorg log from logging in on kernel2.6.22 where everything works ok (37.51 KB, text/plain)
2007-10-23 21:33 EDT, Patrick Horgan
no flags Details
Xorg log from logging in on kernel2.6.23--blank screen no login (37.47 KB, text/plain)
2007-10-23 21:34 EDT, Patrick Horgan
no flags Details
Xorg log from logging in on kernel2.6.23 w/no xorg.conf--blank screen no login (40.58 KB, text/plain)
2007-10-23 21:35 EDT, Patrick Horgan
no flags Details

  None (edit)
Description Patrick Horgan 2007-10-20 19:07:54 EDT
Description of problem:
System hangs when starting X either via prefdm or startx.  Works fine on 2.6.22-x

Version-Release number of selected component (if applicable):
2.6.23-1

How reproducible:
Boot

Steps to Reproduce:
1.Turn on system
2.
3.
  
Actual results:
Blank screen

Expected results:
Login window

Additional info:
Comment 1 Matěj Cepl 2007-10-22 12:48:27 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Patrick Horgan 2007-10-23 21:33:03 EDT
Created attachment 235751 [details]
My existing xorg.conf
Comment 3 Patrick Horgan 2007-10-23 21:33:51 EDT
Created attachment 235761 [details]
Xorg log from logging in on kernel2.6.22 where everything works ok
Comment 4 Patrick Horgan 2007-10-23 21:34:40 EDT
Created attachment 235771 [details]
Xorg log from logging in on kernel2.6.23--blank screen no login
Comment 5 Patrick Horgan 2007-10-23 21:35:18 EDT
Created attachment 235781 [details]
Xorg log from logging in on kernel2.6.23 w/no xorg.conf--blank screen no login
Comment 6 Adam Jackson 2008-02-12 14:41:12 EST
The only thing that looks relevant there is the change in DRM version:

-(II) RADEON(0): [dri] Found DRI library version 1.3.0 and kernel module version
1.27.0
+(II) RADEON(0): [dri] Found DRI library version 1.3.0 and kernel module version
1.28.0

Dave, any idea?
Comment 7 Carsten Breuer 2008-03-31 04:29:30 EDT
I have the same problem with FC9 beta1 on my Sony VGN-TZ11 Notebook.
Installation went fine, but after X has started the screen was blank.
I also was not able to switch to the console (blank screen). X came
visible when i close the lid and open it again. A external monitor
works fine. This problem ist worse, since users are not apply to apply
any patches if they can't see anything ;-). Not all users have an external
monitor. I have updated the system with "yum update" and now the
system doesn't boot normally anymore, but i can start x from
the command line and it works. I was not able to switch to KDE.
Comment 8 Bug Zapper 2008-05-13 23:41:07 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 19:05:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 13:27:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.